## ledpulse 0.4

=== Makefile ===
SUBDIRS=src
BUILDDIR=build
DATA_FILE=ledpulse-home-plugin.desktop
LIB=ledpulse-home-plugin.so
HILDON_WIDGET_LIB_DIR=/usr/lib/hildon-desktop
HILDON_WIDGET_DATA_DIR=/usr/share/applications/hildon-home
SUDOERS_PATH=/etc/sudoers.d
CHMOD_BIN=ledpulse-chmod
UTIL_PATH=/usr/bin/

all:    create_builddir subdirs
MAKE_BUILD_DIR:
	mkdir -p $(BUILDDIR)

install: all
	install -d $(DESTDIR)/$(HILDON_WIDGET_LIB_DIR)
	install $(BUILDDIR)/$(LIB) $(DESTDIR)/$(HILDON_WIDGET_LIB_DIR)
	install -d $(DESTDIR)/$(HILDON_WIDGET_DATA_DIR)
	install data/$(DATA_FILE) $(DESTDIR)/$(HILDON_WIDGET_DATA_DIR)
	install -d $(DESTDIR)/$(SUDOERS_PATH)
	install -m 644 data/ledpulse.sudoers $(DESTDIR)/$(SUDOERS_PATH)
	install -d $(DESTDIR)/$(UTIL_PATH)
	install -m 755 data/$(CHMOD_BIN) $(DESTDIR)/$(UTIL_PATH)
	install -d $(DESTDIR)/usr/share/gconf/schemas
	install -m 0644 ledpulse-home-plugin.schemas $(DESTDIR)/usr/share/gconf/schemas/
	gconftool-2 --makefile-install-rule $(DESTDIR)/usr/share/gconf/schemas/ledpulse-home-plugin.schemas > /dev/null

subdirs: $(SUBDIRS)

$(SUBDIRS):
	$(MAKE) -C $@

create_builddir:
	mkdir -p build

.PHONY: all clean install $(SUBDIRS)

clean:
	rm -rf build
	for d in $(SUBDIRS); do (cd $$d; $(MAKE) clean);done

=== src/Makefile ===
OBJS=ledpulse-home-plugin.o ledpulse-settings.o ledpulse-settings-dialog.o ledpulse-led-files.o ledpulse-pulseaudio.o
BUILDDIR=../build
LIB=$(BUILDDIR)/ledpulse-home-plugin.so
PKG_FLAGS_C=$(shell pkg-config hildon-1 libhildondesktop-1 --cflags)
PKG_FLAGS_LIB=$(shell pkg-config hildon-1 libhildondesktop-1 libpulse-mainloop-glib pulsecore --libs)

LNFLAGS=-shared
CCFLAGS=-DGETTEXT_PACKAGE=\"ledpulse\"
CC=gcc

all:$(LIB)


$(LIB):$(OBJS)
	$(CC) $(LNFLAGS) $(PKG_FLAGS_LIB) $(OBJS) -o $(LIB)

.c.o:
	$(CC) $(CCFLAGS) $(PKG_FLAGS_C) -c $< -o $@

.PHONY: clean all

clean:
	rm $(OBJS)

## ledpulse 0.1

=== debian/changelog ===
ledpulse (0.1) unstable; urgency=low

  * Initial Release.

 -- Nicolai Hess <nicolaihess@web.de>  Sun,  30 Mar 2013 12:00:24 +0100

=== debian/control ===
Source: ledpulse
Section: user/desktop
Priority: extra
Maintainer: Nicolai Hess <nicolaihess@web.de>
Build-Depends: debhelper (>= 5), libhildondesktop1-dev, libgconf2-dev, libpulse-dev
Standards-Version: 3.7.2

Package: ledpulse
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ledpulse pulse leds for audio
 LedPulse Pulsing Leds by volume change from
 audio. Configurable for different Leds (notification leds
 and keyboard leds). Choose which audio input to use (microphone,
 monitor media output or bluetooth microphone.
XB-Maemo-Display-Name: Ledpulse
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
 d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAABNpJREFUeNrsWVtoVEcY/rbU
 S0LTVQRF2yZCSVO0piXFUsHEUARDqSnta2sFxUfpS0FI6JNEEIov1qfYglBf
 8mA1JIEoNs3FEhpSrGlro0jNek3S3DQqnpidfjM72Zy9zJxzskclZUe+7LnM
 /Pf/n3+OESEEFvN4AYt85BXIK5BXYLEPWUZNCEQHKCG+JDqICSFJp2JCv5Nz
 SkKTMVcFOGsb8RMRj6dCpCH5TiQg12x7bgrwbZQ4QoFmXYj7RHKNpCFpPVMF
 yPhtB7g4SwE04guEWi9pSZrPRIF/gM1k+i/x5AmZhwFJS9KUtIMqEKgKfQes
 fQVop2oriEhohYS0JE1JuwVYHWRtxBYqkUiKjEunmHiFwPvqrko/lWk4SfxO
 DGlYR4mGjJgVRKd+3qX+PgR6mRAf8NJxe8A0Xgyg7HqnFksKvuBVrWWWVOAM
 cdStjBR4P/ExMivo1/p3Si100LwEaF7Pmyth7gOrMIrecw5mnCA4Hp1xosdn
 HDi+cY4ARnsVz9By4BfsZaGr6MyyO5lRDrGrD6JvF0Q5mfn81ykzAtEKMt0b
 Viuxil7fztoZaQ4ivDhLFEMUU6yzwrcSzUqBOJOvZLvbC7kk8et4jD+hvTUI
 rz6gmPhVJ6hryEQv06FuSZ+yee7cGpZt5MU1m4zeHmhEtbS+Mgxx0NP6jUQ0
 M165b4smu/UPzjFJeqGxOtcQegkbUDpfriF+ILqQwsmFSqLK8I6oIiqzv+vS
 tF3PODaUKhlyUGAZlqMond0+Q7spRL21YijUZ1p+gtiXVa/lRUqGHBRY6g6f
 OcSIHRlKMGFFpbcCdJJKbJfwO4hYVgVkGFGGHKtQVpcPEDXEUPLZTnPopGNn
 4ndI0xiwz8+xjA5i2pR1A8QW4ltl3GLhe3BqA5dsIQasJWFw2ks8r1Zilhv6
 uM0OsioeII5hEz7ixM95vckwl5YGExUtnBDztYNeGVcy5LAPyApQjWGcRIE9
 FoE2Ymvybmva2570mw+9hH/EZm7NZ7z4mTJOL9QDj4g7NN1dvIfXvFPFILB9
 qslfdxXvhAwLzoFZ1eF24Lx3al7y3yhd8pPrHecT3bU9hPxUoTE0oJvd6LS9
 jYkJ7xqqEfPScJQh09CteIfQzEkif6GOfrAardW/B1q9rF/XoXiGpIB04Qia
 cJrnjctmvqwrottb+G69ExoJnbkMNJ1WPD3CJ8iXuRFlkXq0s2UcN3M/7B3c
 h23vh0i7vl1bfyTMT4vSEtdwCy2oQatSIqsIF4ges/V7iAsm+aXwNYzDWy2K
 lw/rBz3UyyG/GLyDNfgUJ9hbbs5WWl8mLiLjW9WUWgncy8ap7wawmw3p8Cm9
 eCT92BvWx91EKA3jFD3Rxu23Hw94Dk8xJiUUPPWLyXnLTxK1xL10qz/gZnWs
 n5Zv08L7Dp2FemD+mAm8oXbp1Twv1OFNfMLDVKF7t36LOMGE5QltNy//cC9/
 SMF/5OHu0N+U96rcbfVXiDHTh4ewFZCjQH5qUUdO4F1iHfbgVZTzLFnBIJPj
 6soJfPUN++7SlYklvw1zF6Nrvr/Jm9tEv47367Yd92kp4PbGWv1bpq/XGebe
 1u3BoLb2HT+1/mkr4PaIVKKQKEoeiBJj7ivbfd0ejHn1OKEokP8vprwCeQXy
 CuQV+N8r8J8AAwD5MaaaF9zoOQAAAABJRU5ErkJggg==
 ====

## ledpulse 0.2

=== debian/changelog ===
ledpulse (0.2) unstable; urgency=low

  * changed debian description text.

 -- Nicolai Hess <nicolaihess@web.de>  Mon,  8 Jul 2013 23:37:16 +0200

## ledpulse 0.3

=== debian/changelog ===
ledpulse (0.3) unstable; urgency=low

  * removed optify flag

 -- Nicolai Hess <nicolaihess@web.de>  Wed, 10 Jul 2013 23:04:29 +0200

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,13 @@
 Package: ledpulse
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Ledpulse pulse leds for audio
- LedPulse Pulsing Leds by volume change from
- audio. Configurable for different Leds (notification leds
+Description: Ledpulse, pulsed light from the audio.
+ Shows a pulsating light for volume changes.
+ Configurable for different Leds (notification leds
  and keyboard leds). Choose which audio input to use (microphone,
  monitor media output or bluetooth microphone.
 XB-Maemo-Display-Name: Ledpulse
+XSBC-Bugtracker: mailto:nicolaihess@web.de
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
  d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAABNpJREFUeNrsWVtoVEcY/rbU

## ledpulse 0.4

=== debian/changelog ===
ledpulse (0.4) unstable; urgency=low

  * added missing build-depends entry

 -- Nicolai Hess <nicolaihess@web.de>  Fri, 12 Jul 2013 21:03:11 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/desktop
 Priority: extra
 Maintainer: Nicolai Hess <nicolaihess@web.de>
-Build-Depends: debhelper (>= 5), libhildondesktop1-dev, libgconf2-dev, libpulse-dev
+Build-Depends: debhelper (>= 5), libgtk2.0-dev, libhildon1-dev, libhildondesktop1-dev, libgconf2-dev, libpulse-dev, pulseaudio-dev
 Standards-Version: 3.7.2
 
 Package: ledpulse

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -Os -ffast-math
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) CFLAGS="$(CFLAGS)"

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/ledpulse install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
